org.apache.http.client.methods

## Class HttpOptions

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.AbstractExecutionAwareRequest
    - - org.apache.http.client.methods.HttpRequestBase
      - - org.apache.http.client.methods.HttpOptions

- All Implemented Interfaces:
    Cloneable, AbortableHttpRequest, Configurable, HttpExecutionAware, HttpUriRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

      public class HttpOptions
      extends HttpRequestBase

  HTTP OPTIONS method.

  The HTTP OPTIONS method is defined in section 9.2 of RFC2616:

  > The OPTIONS method represents a request for information about the communication options available on the request/response chain identified by the Request-URI. This method allows the client to determine the options and/or requirements associated with a resource, or the capabilities of a server, without implying a resource action or initiating a resource retrieval.

  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `METHOD_NAME`

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpOptions()`
    `HttpOptions(String uri)`
    `HttpOptions(URI uri)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getAllowedMethods(org.apache.http.HttpResponse response)`
    `String` | `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

    - ### Methods inherited from class org.apache.http.client.methods.HttpRequestBase

      `getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

    - ### Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest

      `abort, clone, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.client.methods.HttpUriRequest

      `abort, isAborted`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### Field Detail

    - #### METHOD_NAME

          public static final String METHOD_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpOptions

          public HttpOptions()

    - #### HttpOptions

          public HttpOptions(URI uri)

    - #### HttpOptions

          public HttpOptions(String uri)

      Throws:
        `IllegalArgumentException` - if the uri is invalid.

  - ### Method Detail

    - #### getMethod

          public String getMethod()

      Description copied from interface: `HttpUriRequest`
      Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.
      Specified by:
        `getMethod` in interface `HttpUriRequest`
      Specified by:
        `getMethod` in class `HttpRequestBase`

    - #### getAllowedMethods

          public Set<String> getAllowedMethods(org.apache.http.HttpResponse response)

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.